| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Properties | List of all members
IG.Num.SampledDataElementDto Class Reference

DTO (data transfer object) for sampled data element (one point with vectors of input and output parameters). More...

Inheritance diagram for IG.Num.SampledDataElementDto:
[legend]
Collaboration diagram for IG.Num.SampledDataElementDto:
[legend]

## Public Member Functions
| SampledDataElementDto ()
override SampledDataElement | CreateObject ()
| Creates and returns an object consistent with current contents of the vector. More...

## Public Attributes
int | Index
| Idex of the element in arrays or list (or in SampledDataSet objects), auxiliary information that facilitates identification and access to specific data chunk out of those that are worked out. More...

## Protected Member Functions
override void | CopyFromPlain (SampledDataElement obj)
override void | CopyToPlain (ref SampledDataElement obj)
Protected Member Functions inherited from IG.Lib.SerializationDto< SampledDataElement >
| SerializationDto ()

## Protected Attributes
VectorDtoBase | _inputParameters
VectorDtoBase | _outputValues

## Properties
virtual VectorDtoBase | InputParameters`[get, set]`
| Vector of input parameters of a single data element. More...
virtual VectorDtoBase | OutputValues`[get, set]`
| Vector of input parameters of a single data element. More...

## Additional Inherited Members
Static Public Member Functions inherited from IG.Lib.SerializationDto< SampledDataElement >
static ObjectType | CopyToObjectReturned< DtoType, ObjectType > (DtoType dto, ObjectType obj)
| Replacement for CopyToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyToObject< DtoType, ObjectType > (DtoType dto, ref ObjectType obj)
| Copies object state form the specified DTO (data transfer object) to the specified object. More...
static DtoType | CopyFromObjectReturned< DtoType, ObjectType > (ObjectType obj, DtoType dto)
| Replacement for CopyFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyFromObject< DtoType, ObjectType > (ObjectType obj, ref DtoType dto)
| Copies object state form the specified object to the corresponding DTO (data transfer object). More...
static ObjectType[] | CopyArrayToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, ObjectType[] tabObj)
| Replacement for CopyArrayToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayToObject< DtoType, ObjectType > (DtoType[] tabDto, ref ObjectType[] tabObj)
| Copies array of DTOs (Data Transfer Objects) to an array of appropriate objects. More...
static DtoType[] | CopyArrayFromObjectReturned< DtoType, ObjectType > (ObjectType[] tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayFromObject< DtoType, ObjectType > (ObjectType[] tabObj, ref DtoType[] tabDto)
| Copies array of objects to an array of DTOs. More...
static List< ObjectType > | CopyListToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, List< ObjectType > listObj)
| Replacement for CopyListToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListToObject< DtoType, ObjectType > (DtoType[] tabDto, ref List< ObjectType > listObj)
| Copies array of DTOs (Data Transfer Objects) to a list of appropriate objects. More...
static DtoType[] | CopyListFromObjectReturned< DtoType, ObjectType > (List< ObjectType > tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListFromObject< DtoType, ObjectType > (List< ObjectType > tabObj, ref DtoType[] tabDto)
| Copies array of objects to a list of DTOs. More...

## Detailed Description

DTO (data transfer object) for sampled data element (one point with vectors of input and output parameters).

$A Igor Mar11;

## Constructor & Destructor Documentation

IG.Num.SampledDataElementDto.SampledDataElementDto | ( |  | ) |
| inline

## Member Function Documentation

override SampledDataElement IG.Num.SampledDataElementDto.CreateObject | ( |  | ) |
| inline

Creates and returns an object consistent with current contents of the vector.

override void IG.Num.SampledDataElementDto.CopyFromPlain | ( | SampledDataElement | obj | ) |
| inline protected

References IG.Num.SampledDataElement.Index, IG.Num.SampledDataElement.InputParameters, and IG.Num.SampledDataElement.OutputValues.

override void IG.Num.SampledDataElementDto.CopyToPlain | ( | ref SampledDataElement | obj | ) |
| inline protected

## Member Data Documentation

int IG.Num.SampledDataElementDto.Index

Idex of the element in arrays or list (or in SampledDataSet objects), auxiliary information that facilitates identification and access to specific data chunk out of those that are worked out.

VectorDtoBase IG.Num.SampledDataElementDto._inputParameters
| protected

VectorDtoBase IG.Num.SampledDataElementDto._outputValues
| protected

## Property Documentation

virtual VectorDtoBase IG.Num.SampledDataElementDto.InputParameters
| get set

Vector of input parameters of a single data element.

virtual VectorDtoBase IG.Num.SampledDataElementDto.OutputValues
| get set

Vector of input parameters of a single data element.

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/sampleddata/SampledDataDto.cs